%global momorel 1
%global unpackver 2.3

Summary: Professional multitrack audio recording application
Name: ardour
Version: 2.3.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://ardour.org/
Group: Applications/Multimedia
Source0: http://ardour.org/files/releases/%{name}-%{version}.tar.bz2
Source1: %{name}.desktop
NoSource: 0
Patch0: %{name}-2.0-flac-1.1.4.patch
Patch1: %{name}-no-sse.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: boost-devel
BuildRequires: cairo-devel
BuildRequires: doxygen
BuildRequires: flac-devel
BuildRequires: freetype-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: jack-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: liblo-devel
BuildRequires: liblrdf-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libsamplerate-devel
BuildRequires: libtool
BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: raptor-devel
BuildRequires: scons

%description
Ardour is a multichannel hard disk recorder. It is capable of recording 24
or more channels of 32 bit audio at 48kHz. Ardour is intended to function
as a "professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR, the Tascan 2424 and more traditional tape systems like
the Alesis ADAT series. It supports MIDI Machine Control, and so can be
controlled from any MMC controller, such as the Mackie Digital 8 Bus mixer
and many other modern digital mixers.

Ardour-KSI is a curses-based interface to Ardour.

You MUST have jackd running and an ALSA sound driver to use ardour.

%prep
%setup -q -n %{name}-%{unpackver}

%patch0 -p1 -b .flac-114
%patch1 -p1 -b .nosse

%build
scons %{?_smp_mflags} PREFIX=%{_prefix} \
	ARCH="%{optflags}" \
	USE_SSE_EVERYWHERE=0 \
	BUILD_SSE_OPTIMIZATIONS=1 \
	KSI=no

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
scons %{?_smp_mflags} install DESTDIR=%{buildroot} NOARCH="1" ARCH="%{optflags}"

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48}/apps
install -m 644 gtk2_ardour/icons/ardour_icon_16px.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 gtk2_ardour/icons/ardour_icon_22px.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -m 644 gtk2_ardour/icons/ardour_icon_32px.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 gtk2_ardour/icons/ardour_icon_48px.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING DOCUMENTATION/*
%dir %{_sysconfdir}/ardour2
%config(noreplace) %{_sysconfdir}/ardour2/ardour-sae-ansi.bindings
%config(noreplace) %{_sysconfdir}/ardour2/ardour-sae-de.bindings
%config(noreplace) %{_sysconfdir}/ardour2/ardour-sae.menus
%config(noreplace) %{_sysconfdir}/ardour2/ardour.bindings
%config(noreplace) %{_sysconfdir}/ardour2/ardour.menus
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_dark.rc
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_default.conf
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_light.rc
%config(noreplace) %{_sysconfdir}/ardour2/ardour_system.rc
%{_bindir}/ardour2
%{_libdir}/ardour2
%{_datadir}/applications/ardour.desktop
%{_datadir}/ardour2
%{_datadir}/icons/hicolor/*/apps/ardour.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/ardour.png

%changelog
* Fri Feb  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.1-1m)
- version 2.3.1

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2-1m)
- version 2.2
- License: GPLv2

* Tue Oct  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-1m)
- version 2.1
- remove merged gtk212.patch

* Sun Sep 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.5-2m)
- fix build on new gtk

* Wed Aug 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.5-1m)
- version 2.0.5

* Wed Aug  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.4-1m)
- version 2.0.4
- enable optflags
- enable parallel build
- import and modify ardour-no-sse.patch from Fedora
 +* Sat Jan 06 2007 Anthony Green <green@redhat.com> 0.99.3-8
 +- Add ardour-no-sse.patch to disable use of build-system dependent 
 +  hardware features (SSE, MMX, etc).
- remove merged powermate_installdir.patch

* Thu Jul  5 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.3-2m)
- add powermate installdir patch for lib64

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-1m)
- version 2.0.3

* Tue May 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- initial package for Momonga Linux
- Summary and %%description are imported from cooker
